> For the complete documentation index, see [llms.txt](https://docs.logilica.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.logilica.com/advanced/datastudio-data-model/models/jiraepic.md).

# Epic

## Description

Metrics relating to Epics as imported from a planning tool (e.g. Jira).

## Measures

| Name                       | Title              | Description                                                           |
| -------------------------- | ------------------ | --------------------------------------------------------------------- |
| `JiraEpic.minCreatedAt`    | Min Created at     | Earliest creation date as a UNIX timestamp.                           |
| `JiraEpic.minAssignedAt`   | Min Assigned at    | Earliest assignment date as a UNIX timestamp.                         |
| `JiraEpic.minInProgressAt` | Min in Progress at | Earliest date an epic was marked as in progress, as a UNIX timestamp. |
| `JiraEpic.minResolvedAt`   | Min Resolved at    | Earliest resolution date as a UNIX timestamp.                         |
| `JiraEpic.minDueAt`        | Min Due at         | Earliest due date as a UNIX timestamp .                               |
| `JiraEpic.count`           | Count              | Total count of epics.                                                 |

## Dimensions

| Name                      | Title                           | Description                                                          |
| ------------------------- | ------------------------------- | -------------------------------------------------------------------- |
| `JiraEpic.id`             | Id                              |                                                                      |
| `JiraEpic.key`            | Key                             | Issue key associated with the epic as defined in the planning tool.  |
| `JiraEpic.parent`         | Parent                          | Parent issue key for the epic.                                       |
| `JiraEpic.name`           | Name                            | Name of the epic.                                                    |
| `JiraEpic.type`           | Type                            | Type of the epic.                                                    |
| `JiraEpic.status`         | Status                          | Status of the hierarchy issue (e.g., Open, Closed).                  |
| `JiraEpic.statusCategory` | Status Category                 | Category of the hierarchy issue's status (e.g., To Do, In Progress). |
| `JiraEpic.resolution`     | Resolution                      | Resolution of the hierarchy issue (e.g., Fixed, Closed).             |
| `JiraEpic.priority`       | Priority                        | Priority level of the hierarchy issue (e.g., high, low).             |
| `JiraEpic.createdAt`      | Created At (Unix Timestamp)     | Creation timestamp of the epic as a UNIX timestamp.                  |
| `JiraEpic.assignedAt`     | Assigned At (Unix Timestamp)    | Assignment timestamp of the epic as a UNIX timestamp.                |
| `JiraEpic.inProgressAt`   | In Progress At (Unix Timestamp) | In-progress timestamp of the epic as a UNIX timestamp.               |
| `JiraEpic.resolvedAt`     | Resolved At (Unix Timestamp)    | Resolution timestamp of the epic as a UNIX timestamp.                |
| `JiraEpic.dueAt`          | Due At (Unix Timestamp)         | Due date timestamp of the epic as a UNIX timestamp.                  |

## Connected Cubes

All fields belonging to the following cubes are also reachable from JiraEpic:

* [Planning Ticket Component](/advanced/datastudio-data-model/models/jiracomponent.md)
* [Planning Ticket Custom Field](/advanced/datastudio-data-model/models/jiracustomfield.md)
* [Epic](/advanced/datastudio-data-model/models/jiraepic.md)
* [Planning Ticket Hierarchy Issues](/advanced/datastudio-data-model/models/jirahierarchyissues.md)
* [Planning Ticket Hierarchy Issue Link](/advanced/datastudio-data-model/models/jiraissuehierarchylink.md)
* [Planning Ticket](/advanced/datastudio-data-model/models/jiraissuedetail.md)
* [Planning Ticket Event](/advanced/datastudio-data-model/models/jiraissueevent.md)
* [Planning Ticket Label](/advanced/datastudio-data-model/models/jiralabel.md)
* [Planning Sprint](/advanced/datastudio-data-model/models/jirasprint.md)
* [Planning Ticket State Durations](/advanced/datastudio-data-model/models/jirastatedurations.md)
* [Contributor](/advanced/datastudio-data-model/models/contributor.md)
* [Team](/advanced/datastudio-data-model/models/team.md)
* [Repositories](/advanced/datastudio-data-model/models/project.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.logilica.com/advanced/datastudio-data-model/models/jiraepic.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
